-- Table: host_compliance_info

-- DROP TABLE host_compliance_info;

CREATE TABLE host_compliance_info
(
  host_compliance_info_id integer NOT NULL,
  host_ip_name character varying(50) NOT NULL,
  omsa_status character varying(25),
  hypervisor_version character varying(30),
  CONSTRAINT "host_compliance_info_PK" PRIMARY KEY (host_compliance_info_id),
  CONSTRAINT host_ip_name_unique UNIQUE (host_ip_name)
)
WITHOUT OIDS;
ALTER TABLE host_compliance_info OWNER TO vcenter_admin;


-- Sequence: seq_host_compliance_info

-- DROP SEQUENCE seq_host_compliance_info;

CREATE SEQUENCE seq_host_compliance_info
  INCREMENT 1
  MINVALUE 1000
  MAXVALUE 9999999
  START 1011
  CACHE 1;
ALTER TABLE seq_host_compliance_info OWNER TO vcenter_admin;

ALTER TABLE registered_vcenter DROP COLUMN filters;
ALTER TABLE registered_vcenter ADD COLUMN filters integer;
ALTER TABLE registered_vcenter ALTER COLUMN filters SET DEFAULT 4;

ALTER TABLE registered_vcenter DROP COLUMN extensionUpdateRequired;
ALTER TABLE registered_vcenter ADD COLUMN extensionUpdateRequired boolean;
ALTER TABLE registered_vcenter ALTER COLUMN extensionUpdateRequired SET DEFAULT 'f';